using CMSMicroservice.Domain.Events;
using Microsoft.Extensions.Logging;

namespace CMSMicroservice.Application.UserAddressCQ.EventHandlers;

public class CreateNewUserAddressEventHandler : INotificationHandler<CreateNewUserAddressEvent>
{
    private readonly ILogger<CreateNewUserAddressEventHandler> _logger;

    public CreateNewUserAddressEventHandler(ILogger<CreateNewUserAddressEventHandler> logger)
    {
        _logger = logger;
    }

    public Task Handle(CreateNewUserAddressEvent notification, CancellationToken cancellationToken)
    {
        _logger.LogInformation("Domain Event: {DomainEvent}", notification.GetType().Name);

        return Task.CompletedTask;
    }
}
